package com.qmth.paper.library.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.paper.library.business.bean.result.SelectResult;
import com.qmth.paper.library.common.entity.BasicExam;

import java.util.List;

/**
 * <p>
 * 考试管理 服务类
 * </p>
 */
public interface BasicExamService extends IService<BasicExam> {

    IPage<BasicExam> pageData(Long semesterId, Integer pageNumber, Integer pageSize);

    boolean saveData(BasicExam basicExam);

    boolean delete(String ids);

    List<SelectResult> listBySemesterId(Long semesterId);
}
